%
% anyremote configuration file for  customization of GUI of Java client. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Text example
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Example of anyRemote Android/J2ME clients text screen customization.

[Protocol]=Server

(Init)=\
	Include($(CfgDir)/Utils/aliases-server.cfg);

(Connect)=\
	Set(parameter,debug,on);\
	Set(status,);\
	Set(title,Use menu or buttons);\
	Set(icons,Text Example,\
		1,fit,2,fit,3,fit,\
		4,fit,5,fit,6,fit,\
		7,fit,8,fit,9,fit,\
		*,question,0,fit,#,fit);\
	Macro(SET_MENU);

* *=Set(text,replace,Help,1 Text add\n2 Text replace\n3 Text clear\n4 Small font\n5 Medium font\n6 Large font\n7 White On Black\n8 Yellow On Blue\n9 Black On White)

SET_MENU=\
	Set(menu,replace,Add text,Replace text,Clear text,Small font,Medium font,Large font,White On Black, Yellow On Blue, Black On White);

Back=\
	Set(text,close);\
	Macro(SET_MENU);

1=Macro(Add text)
2=Macro(Replace text)
3=Macro(Clear text)
4=Macro(Small font)
5=Macro(Medium font)
6=Macro(Large font)
7=Macro(White On Black)
8=Macro(Yellow On Blue)
9=Macro(Black On White)

Add text      =Set(text,add,Example,An example of text. );Macro(SET_MENU);
Replace text  =Set(text,replace,Example,Another example of text. );Macro(SET_MENU);
Clear text    =Set(text,clear);Macro(SET_MENU);
Small font    =Set(text,font,small);Macro(SET_MENU);
Medium font   =Set(text,font,medium);Macro(SET_MENU);
Large font    =Set(text,font,large);Macro(SET_MENU);
White On Black=Set(text,bg,0,0,0);Set(text,fg,255,255,255);Macro(SET_MENU);
Black On White=Set(text,bg,255,255,255);Set(text,fg,0,0,0);Macro(SET_MENU);
Yellow On Blue=Set(text,bg,0,128,255);Set(text,fg,255,255,0);Macro(SET_MENU);

[End]
